
[client]
port                           = 3306
socket                         = /var/run/mysqld/mysql.sock          # Use mysqld.sock on Ubuntu, conflicts with AppArmor otherwise

[mysql]
no_auto_rehash
max_allowed_packet             = 16M
prompt                         = '\u@\h [\d]> '
default_character_set          = utf8 


[mysqldump]
max_allowed_packet             = 16M

[mysqld_safe]
user                           = mysql

[mysqld]
port                           = 3306
socket                         = /var/run/mysqld/mysqld.sock
max_allowed_packet             = 16M
default_storage_engine         = InnoDB
character_set_server           = utf8 
collation_server               = utf8_general_ci
max_connections                = 505
max_user_connections           = 500
thread_cache_size              = 505
query_cache_type               = 1 
query_cache_size               = 32M
sort_buffer_size               = 2M
tmp_table_size                 = 32M
read_buffer_size               = 128k
read_rnd_buffer_size           = 256k
join_buffer_size               = 128k
table_definition_cache         = 1400
table_open_cache               = 2000
table_open_cache_instances     = 16
log_error                      = <hostname>_error.log
log_warnings                   = 2
slow_query_log_file            = <hostname>_slow.log
slow_query_log                 = 0
log_queries_not_using_indexes  = 0
long_query_time                = 0.5
min_examined_row_limit         = 100
general_log_file               = <hostname>_general.log
general_log                    = 0
performance_schema_consumer_events_statements_history_long = ON
server_id                      = 42
binlog_cache_size              = 1M
binlog_stmt_cache_size         = 1M
max_binlog_size                = 128M
sync_binlog                    = 0
expire_logs_days               = 5
binlog_format                  = ROW
key_buffer_size                = 8M
myisam_recover_options         = 'BACKUP,FORCE'

# MEMORY variables
max_heap_table_size            = 64M

# InnoDB variables
innodb_strict_mode             = ON
innodb_file_format_check       = 1
innodb_buffer_pool_size        = 128M                               
innodb_buffer_pool_instances   = 8                                   
innodb_file_per_table          = 1                                   
innodb_flush_log_at_trx_commit = 2                                   
innodb_log_buffer_size         = 8M                                 
innodb_log_file_size           = 256M                                